/fuel-pump-inventories-payment-methods-post-one¶
Summary¶
Source repository:
jef-systems/jef-fuel-pump-inventories-backendSource SHA:
06a517c1413d99627ecd462c7e29779b2dfd2412Source run id:
25888945233Lambda function:
jef-fuel-pump-inventories-payment-methods-post-oneHTTP method:
POSTAPI path:
/fuel-pump-inventories-payment-methods-post-oneEndpoint URL:
https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-payment-methods-post-onePayload mode:
json-body
Description¶
Function: jef-fuel-pump-inventories-payment-methods-post-oneModule: jef-fuel-pump-inventoriesAction: post-oneMethod: POSTInvocation Mode: ASYNCResource Path: /fuel-pump-inventories-payment-methods-post-oneTable: jef-fuel-pump-inventories-payment-methodsPrimary Key: payment_method_id
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
payment\_method\_id: 85dee342-5c78-445d-822a-87185691987apayment\_method\_name: Value 001description: Value 001is\_active: Truecreated\_at: 2026-05-14T22:13:56Zupdated\_at: 2026-05-14T22:13:56Z
Payload Schema¶
{
"root.type": "M",
"root.required": "True",
"root.attributes.payment_method_id.type": "S",
"root.attributes.payment_method_id.required": "True",
"root.attributes.payment_method_id.format": "uuidv4",
"root.attributes.payment_method_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.payment_method_name.type": "S",
"root.attributes.payment_method_name.required": "True",
"root.attributes.payment_method_name.regex": "^[A-Za-z0-9 ._-]{1,100}$",
"root.attributes.description.type": "S",
"root.attributes.description.required": "False",
"root.attributes.description.regex": "^.{0,500}$",
"root.attributes.is_active.type": "BOOL",
"root.attributes.is_active.required": "True",
"root.attributes.is_active.regex": "^(true|false)$",
"root.attributes.created_at.type": "S",
"root.attributes.created_at.required": "True",
"root.attributes.created_at.format": "iso8601",
"root.attributes.created_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.updated_at.type": "S",
"root.attributes.updated_at.required": "True",
"root.attributes.updated_at.format": "iso8601",
"root.attributes.updated_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$"
}
Response Schema¶
{
"root.type": "M",
"root.required": "True",
"root.attributes.is_accepted.type": "BOOL",
"root.attributes.is_accepted.required": "True",
"root.attributes.message.type": "S",
"root.attributes.message.required": "True",
"root.attributes.request_id.type": "S",
"root.attributes.request_id.required": "False"
}
Request Payload¶
{
"payment_method_id": "85dee342-5c78-445d-822a-87185691987a",
"payment_method_name": "Value 001",
"description": "Value 001",
"is_active": "True",
"created_at": "2026-05-14T22:13:56Z",
"updated_at": "2026-05-14T22:13:56Z"
}
Response¶
{
"root.type": "M",
"root.required": "True",
"root.attributes.is_accepted.type": "BOOL",
"root.attributes.is_accepted.required": "True",
"root.attributes.message.type": "S",
"root.attributes.message.required": "True",
"root.attributes.request_id.type": "S",
"root.attributes.request_id.required": "False"
}
CMD curl¶
curl -X POST "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-payment-methods-post-one" -H "Content-Type: application/json" --data-raw "{\"payment_method_id\": \"85dee342-5c78-445d-822a-87185691987a\", \"payment_method_name\": \"Value 001\", \"description\": \"Value 001\", \"is_active\": true, \"created_at\": \"2026-05-14T22:13:56Z\", \"updated_at\": \"2026-05-14T22:13:56Z\"}"
PowerShell curl¶
curl.exe -X POST "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-payment-methods-post-one" -H "Content-Type: application/json" --data-raw '{"payment_method_id": "85dee342-5c78-445d-822a-87185691987a", "payment_method_name": "Value 001", "description": "Value 001", "is_active": true, "created_at": "2026-05-14T22:13:56Z", "updated_at": "2026-05-14T22:13:56Z"}'